GpgFrontend::UI::GeneralDialog Class Reference
Inheritance diagram for GpgFrontend::UI::GeneralDialog:
Collaboration diagram for GpgFrontend::UI::GeneralDialog:

## Public Member Functions

| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Private Slots

void | slot_restore_settings () noexcept
void | slot_save_settings () noexcept

## Private Attributes

std::string | name_
QPoint | pos_
QSize | size_

## Constructor & Destructor Documentation

## GeneralDialog()

GpgFrontend::UI::GeneralDialog::GeneralDialog | ( | std::string | name,
|  | QWidget * | parent = `nullptr`
| ) |  |

explicit

Parameters

  name |

The documentation for this class was generated from the following files:

- src/ui/dialog/GeneralDialog.h
- src/ui/dialog/GeneralDialog.cpp